/*
Copyright The Kubernetes Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

package apis

import (
	"k8s.io/apimachinery/pkg/runtime"
	"k8s.io/apimachinery/pkg/runtime/schema"

	ibmv1alpha1 "github.com/pfeifferj/karpenter-provider-ibm-cloud/pkg/apis/v1alpha1"
)

// Register v1alpha1 types
func init() {
	// Register the types with the Scheme
	AddToSchemes = append(AddToSchemes,
		&SchemeBuilder{
			AddToScheme: func(scheme *runtime.Scheme) error {
				schemeGroupVersion := schema.GroupVersion{Group: Group, Version: "v1alpha1"}

				scheme.AddKnownTypes(schemeGroupVersion,
					&ibmv1alpha1.IBMNodeClass{},
					&ibmv1alpha1.IBMNodeClassList{},
				)

				return nil
			},
		},
	)
}
